{ config, pkgs, ... }:

{
  # Enable unfree globally
  nixpkgs.config.allowUnfree = true;

  environment.systemPackages = with pkgs; [
    killall
    usbutils
    pavucontrol
    ffmpeg
    openssl
    qmk-udev-rules
  ];

  # Programs with extra configuration
  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true;
    dedicatedServer.openFirewall = true;
    localNetworkGameTransfers.openFirewall = true;
    extraPackages = [ pkgs.jdk ];
  };

  programs.java.enable = true;

  programs.obs-studio.enable = true;
}
